org.apache.ode.tomee

## Class TomeeLauncher

- java.lang.Object
- - org.apache.ode.tomee.TomeeLauncher

-     public class TomeeLauncher
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TomeeLauncher(java.lang.String homeDir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploy(java.io.File application, java.lang.String context)`
    `void` | `initialize()`
    `protected org.apache.tomee.embedded.Configuration` | `setupConfiguration(java.util.Properties properties)`
    `protected org.apache.tomee.embedded.Container` | `setupContiner(org.apache.tomee.embedded.Configuration configuration)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TomeeLauncher

          public TomeeLauncher(java.lang.String homeDir)

  - ### Method Detail

    - #### initialize

          public void initialize()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setupConfiguration

          protected org.apache.tomee.embedded.Configuration setupConfiguration(java.util.Properties properties)

    - #### setupContiner

          protected org.apache.tomee.embedded.Container setupContiner(org.apache.tomee.embedded.Configuration configuration)

    - #### start

          public void start()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop()
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deploy

          public void deploy(java.io.File application,
                             java.lang.String context)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`